Flake8 error


#1

Hello,

I’m receiving the follow error :

“[Linter] Error running Flake8
See Console for more info. (Open View -> Developer -> Toggle Developer Tools)”

The developer windows says :

“[Linter] Error running Flake8 Error: Failed to spawn command flake8. Make sure flake8 is installed and on your PATH
at C:\Users\user.atom\packages\linter-flake8\node_modules\atom-linter\lib\helpers.js:130:24
at
at process._tickCallback (internal/process/next_tick.js:188:7)”

Can anyone tell me how to correct this?


#2

#3

Have you installed flake8? If not, have you installed Python?

@idleberg: flake8 is a Python package and installed through pip, so anyone who has Python properly installed will not have to add anything else to their PATH after downloading flake8. There are possible exceptions, but anyone who knows enough to have a good reason for doing things differently will know how to tell their operating system how to find executables.